Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/30/2021 in all areas

  1. Try this .. it gives you a little bit of flexibility on the search distance to use. (defun c:sbp (/ d p s s2 x) ;; RJP » 2021-03-30 (cond ((and (setq d (getdist "\nPick a distance to search: ")) (setq s (ssget "_X" '((0 . "insert") (2 . "Flow_direction")))) (setq s2 (ssget "_X" '((0 . "circle")))) ) (setq s2 (mapcar 'cadr (ssnamex s2))) (foreach e (mapcar 'cadr (ssnamex s)) (setq p (cdr (assoc 10 (entget e)))) (if (vl-some '(lambda (x) (<= (distance p (vlax-curve-getclosestpointto x p)) d)) s2) (ssdel e s) ) ) (sssetfirst nil s) ) ) (princ) )
    1 point
  2. Have you tried contacting the author? http://www.lee-mac.com/contact.html
    1 point
  3. @akasasbt You stated "From your output, the area of the whole region is 3080.9986 (half of this is 1540.4993) and the area above centroid is 1514.0829, where there is a 1.7% difference in area." Note, a centroid does not necessarily define a cutting plane where half the area is on either side. It is a measure of how an area is distributed. Consider a "T" shaped area.
    1 point
  4. My QuickField application is designed to generate fields which reference object properties, and so may only be used to generate field expressions found under the 'Object' category within the FIELD command dialog. As @tombu has helpfully suggested, field expressions with no dependence on Object IDs may be embedded directly within a template without losing the ability to update the field value.
    1 point
  5. https://www.cadtutor.net/forum/topic/72618-current-drawings-path-and-filename-in-autolisp/?tab=comments#comment-578995
    1 point
  6. I would have thought that that could have been done via Properties.
    1 point
×
×
  • Create New...